declare const knobContainer: import("vue").Ref<{
    getBoundingClientRect: () => DOMRect;
} | null, Pick<Element, "getBoundingClientRect"> | {
    getBoundingClientRect: () => DOMRect;
} | null>;
declare const canvasEl: import("vue").Ref<{
    height: number;
    width: number;
    getContext: {
        (contextId: "2d", options?: CanvasRenderingContext2DSettings): CanvasRenderingContext2D | null;
        (contextId: "bitmaprenderer", options?: ImageBitmapRenderingContextSettings): ImageBitmapRenderingContext | null;
        (contextId: "webgl", options?: WebGLContextAttributes): WebGLRenderingContext | null;
        (contextId: "webgl2", options?: WebGLContextAttributes): WebGL2RenderingContext | null;
        (contextId: string, options?: any): RenderingContext | null;
    };
} | null, Pick<HTMLCanvasElement, "height" | "width" | "getContext"> | {
    height: number;
    width: number;
    getContext: {
        (contextId: "2d", options?: CanvasRenderingContext2DSettings): CanvasRenderingContext2D | null;
        (contextId: "bitmaprenderer", options?: ImageBitmapRenderingContextSettings): ImageBitmapRenderingContext | null;
        (contextId: "webgl", options?: WebGLContextAttributes): WebGLRenderingContext | null;
        (contextId: "webgl2", options?: WebGLContextAttributes): WebGL2RenderingContext | null;
        (contextId: string, options?: any): RenderingContext | null;
    };
} | null>;
declare function startDrag(e: MouseEvent | TouchEvent): void;
declare function onDrag(e: MouseEvent | TouchEvent): void;
declare function endDrag(): void;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_1: {}, __VLS_3: {}, __VLS_5: {};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    left?: (props: typeof __VLS_1) => any;
} & {
    right?: (props: typeof __VLS_3) => any;
} & {
    default?: (props: typeof __VLS_5) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    size: {
        type: NumberConstructor;
        default: number;
    };
    arcWidth: {
        type: NumberConstructor;
        default: number;
    };
    min: {
        type: NumberConstructor;
        default: number;
    };
    max: {
        type: NumberConstructor;
        default: number;
    };
    steps: {
        type: NumberConstructor;
        default: number;
    };
    colored: {
        type: BooleanConstructor;
        default: boolean;
        description: string;
    };
    showHandle: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideArrows: {
        type: BooleanConstructor;
        default: boolean;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    animateRotations: {
        type: NumberConstructor;
        default: number;
    };
    modelValue: {
        type: import("vue").PropType<number>;
        required: true;
    };
}>, {
    knobContainer: typeof knobContainer;
    canvasEl: typeof canvasEl;
    startDrag: typeof startDrag;
    onDrag: typeof onDrag;
    endDrag: typeof endDrag;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": (value: number) => any;
} & {
    "drag:start": () => any;
    "drag:update": () => any;
    "drag:end": () => any;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    size: {
        type: NumberConstructor;
        default: number;
    };
    arcWidth: {
        type: NumberConstructor;
        default: number;
    };
    min: {
        type: NumberConstructor;
        default: number;
    };
    max: {
        type: NumberConstructor;
        default: number;
    };
    steps: {
        type: NumberConstructor;
        default: number;
    };
    colored: {
        type: BooleanConstructor;
        default: boolean;
        description: string;
    };
    showHandle: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideArrows: {
        type: BooleanConstructor;
        default: boolean;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    animateRotations: {
        type: NumberConstructor;
        default: number;
    };
    modelValue: {
        type: import("vue").PropType<number>;
        required: true;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: ((value: number) => any) | undefined;
    "onDrag:start"?: (() => any) | undefined;
    "onDrag:update"?: (() => any) | undefined;
    "onDrag:end"?: (() => any) | undefined;
}>, {
    size: number;
    min: number;
    max: number;
    duration: number;
    colored: boolean;
    steps: number;
    arcWidth: number;
    showHandle: boolean;
    hideArrows: boolean;
    animateRotations: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    size: {
        type: NumberConstructor;
        default: number;
    };
    arcWidth: {
        type: NumberConstructor;
        default: number;
    };
    min: {
        type: NumberConstructor;
        default: number;
    };
    max: {
        type: NumberConstructor;
        default: number;
    };
    steps: {
        type: NumberConstructor;
        default: number;
    };
    colored: {
        type: BooleanConstructor;
        default: boolean;
        description: string;
    };
    showHandle: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideArrows: {
        type: BooleanConstructor;
        default: boolean;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    animateRotations: {
        type: NumberConstructor;
        default: number;
    };
    modelValue: {
        type: import("vue").PropType<number>;
        required: true;
    };
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": (value: number) => any;
} & {
    "drag:start": () => any;
    "drag:update": () => any;
    "drag:end": () => any;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    size: {
        type: NumberConstructor;
        default: number;
    };
    arcWidth: {
        type: NumberConstructor;
        default: number;
    };
    min: {
        type: NumberConstructor;
        default: number;
    };
    max: {
        type: NumberConstructor;
        default: number;
    };
    steps: {
        type: NumberConstructor;
        default: number;
    };
    colored: {
        type: BooleanConstructor;
        default: boolean;
        description: string;
    };
    showHandle: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideArrows: {
        type: BooleanConstructor;
        default: boolean;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    animateRotations: {
        type: NumberConstructor;
        default: number;
    };
    modelValue: {
        type: import("vue").PropType<number>;
        required: true;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: ((value: number) => any) | undefined;
    "onDrag:start"?: (() => any) | undefined;
    "onDrag:update"?: (() => any) | undefined;
    "onDrag:end"?: (() => any) | undefined;
}>, {
    size: number;
    min: number;
    max: number;
    duration: number;
    colored: boolean;
    steps: number;
    arcWidth: number;
    showHandle: boolean;
    hideArrows: boolean;
    animateRotations: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
