import { BccBadge, BccPin } from "@/index";
import { Tab, TabGroup, TabList, TabPanel, TabPanels } from "@headlessui/vue";
import type { BccTabsGroup } from "./types";
type Props = {
    tabs: BccTabsGroup;
    size?: keyof typeof sizes;
    fill?: boolean;
    noSwipe?: boolean;
};
type __VLS_Props = Props;
declare const activeTab: import("vue").ModelRef<number, string, number, number>;
declare const tabsRef: Readonly<import("vue").ShallowRef<HTMLDivElement | null>>;
declare const sizes: {
    sm: string;
    base: string;
    lg: string;
};
declare function changeTab(index: number): void;
type __VLS_PublicProps = __VLS_Props & {
    modelValue?: number;
};
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_41: `tab-${number}`, __VLS_42: {
    tab: {
        title: string;
        icon?: import("@/index").VueComponent;
        pin?: InstanceType<typeof BccPin>["$props"];
        badge?: InstanceType<typeof BccBadge>["$props"] & {
            text: string;
        };
        as?: import("@/index").VueComponent;
        disabled?: boolean;
        loading?: boolean;
    };
};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    [K in NonNullable<typeof __VLS_41>]?: (props: typeof __VLS_42) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<__VLS_PublicProps, {
    BccBadge: typeof BccBadge;
    BccPin: typeof BccPin;
    Tab: typeof Tab;
    TabGroup: typeof TabGroup;
    TabList: typeof TabList;
    TabPanel: typeof TabPanel;
    TabPanels: typeof TabPanels;
    activeTab: typeof activeTab;
    tabsRef: typeof tabsRef;
    sizes: typeof sizes;
    changeTab: typeof changeTab;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": (value: number) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_PublicProps> & Readonly<{
    "onUpdate:modelValue"?: ((value: number) => any) | undefined;
}>, {
    size: keyof typeof sizes;
    fill: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<__VLS_PublicProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": (value: number) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_PublicProps> & Readonly<{
    "onUpdate:modelValue"?: ((value: number) => any) | undefined;
}>, {
    size: keyof typeof sizes;
    fill: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
